Skip to main content
`Ctrl`+`K`

# PetscLayoutGetLocalSize

Gets the local size for a `PetscLayout` object.

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutGetLocalSize(PetscLayout map, PetscInt *n)

Not Collective

## Input Parameter

- map - pointer to the map

## Output Parameter

- n - the local size

## Note

Call this after the call to `PetscLayoutSetUp()`

## See Also

PetscLayout, `PetscLayoutCreate()`, `PetscLayoutSetSize()`, `PetscLayoutGetSize()`, `PetscLayoutSetUp()` `PetscLayoutGetRange()`, `PetscLayoutGetRanges()`, `PetscLayoutSetBlockSize()`, `PetscLayoutGetBlockSize()`

## Level

developer

## Location

src/vec/is/utils/pmap.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages